package com.project.zcustom.mapper.smart;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

import com.project.zcustom.domain.smart.PlatGreenSmartOther;
import org.apache.ibatis.annotations.Param;

/**
 * 绿智食堂 其他参数Mapper接口
 *
 * @author change
 * @date 2024-10-31
 */
public interface PlatGreenSmartOtherMapper extends BaseMapper<PlatGreenSmartOther> {

    /**
     * 真删接口
     */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatGreenSmartOther> deleteWrapper);
}
